{
  "openapi": "3.0.4",
  "info": {
    "title": "Sites API",
    "description": "Use the Sites API for managing sites, site collections and languages in the XM Apps system.\n\nThis API lets you interact with:\n- The Site Collection object. Use a site collection to group together related sites that share the same resources.\n- The Site object. The site object is the core entity that represents a website in the customer portfolio.\n- The Language object. The language object is used to manage the languages available to a tenant and site.\n- The Job object. The job object is used to manage running background jobs.\n\nNote the following:\n   - All API requests are made in your production environment.\n\n For more information, see the [official SitecoreAI developer documentation](https://doc.sitecore.com/xmc/en/developers/xm-cloud/getting-started-with-xm-cloud.html).\n\n# Authorization\nTo authorize your requests, use environment automation client credentials and generate a JSON Web Token (JWT).\n\nNote: To create client credentials, you must be an [Organization Admin](https://doc.sitecore.com/portal/en/developers/sitecore-cloud-portal/roles.html) or Organization Owner.\n\n## Create an automation client\n 1. In the Sitecore Cloud Portal, open SitecoreAI Deploy.\n 2. Click **Credentials** > **Environment** > **Create credentials** > **Automation**.\n 3. Fill out the automation client details, then click **Create**.\n 4. Copy the client ID and the client secret because you won't be able to view them again in SitecoreAI Deploy. You'll use them to request a JWT.\n\n## Request a JWT\n\nRun the following cURL command to request a JWT. Replace the placeholder values with your client ID and client secret.\n```curl\n  curl -X POST 'https://auth.sitecorecloud.io/oauth/token' \\\n  --header 'Content-Type: application/x-www-form-urlencoded' \\\n  --data-urlencode 'client_id={YOUR_CLIENT_ID}' \\\n  --data-urlencode 'client_secret={YOUR_CLIENT_SECRET}' \\\n  --data-urlencode 'grant_type=client_credentials' \\\n  --data-urlencode 'audience=https://api.sitecorecloud.io'\n```\n\nIn the response, the `access_token` key contains the JWT:\n\n```json\n  {\n    \"access_token\": \"{YOUR_JWT}\",\n    \"scope\": \"xmcloud.cm:admin\",\n    \"expires_in\": 86400,\n    \"token_type\": \"Bearer\"\n  }\n```\n\nThe JWT expires in 24 hours. If your requests unexpectedly return a response with status `401 Unauthorized`, request a new JWT by repeating this `POST` request.\n\nWe recommend that you cache the JWT for 24 hours to avoid repeating this `POST` request while the JWT is still valid.\n\n## Include the JWT in the request header\n\nYou can now start making REST API requests. You must include the JWT in the request header of every request. For example:\n  ```curl\n  curl -X GET '{YOUR_BASE_URL}/...' \\\n  -H 'Authorization: Bearer {YOUR_JWT}' \\\n  -H 'Accept: application/json'\n  ```",
    "x-metadata": {
      "product": "SitecoreAI"
    },
    "contact": {
      "name": "Sitecore Corporation A/S"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://xmapps-api.sitecorecloud.io",
      "description": "Production server"
    }
  ],
  "paths": {
    "/api/v1/jobs": {
      "get": {
        "tags": [
          "Jobs"
        ],
        "description": "Fetches information about background jobs. Returns empty array if no jobs are running.",
        "operationId": "ListJobs",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Job"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/jobs/{jobHandle}/status": {
      "get": {
        "tags": [
          "Jobs"
        ],
        "description": "Fetches information about a background job.",
        "operationId": "RetrieveJob",
        "parameters": [
          {
            "name": "jobHandle",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Job"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/languages": {
      "get": {
        "tags": [
          "Languages"
        ],
        "summary": "List languages",
        "description": "Retrieves the list of languages added to the environment.",
        "operationId": "ListLanguages",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Language"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Languages"
        ],
        "summary": "Add a language",
        "description": "Adds a language to your environment, so you can create content and build websites in that language. You can choose from the language supported by SitecoreAI. If you do not know the language code of the language, first retrieve the list of languages supported in SitecoreAI.\n            To add a language to the system, you must provide the language code. You can optionally input additional parameters, such as region code and spell checker.\n            If you want to add a custom language not in the default cultures, register it as a custom culture (as described in .NET CultureInfo class) and update the LanguageDefinitions.config file.",
        "operationId": "CreateLanguage",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Input parameters",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AddLanguageModel"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/AddLanguageModel"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/AddLanguageModel"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Language"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/languages/supported": {
      "get": {
        "tags": [
          "Languages"
        ],
        "summary": "List supported languages",
        "description": "Retrieves the list of languages supported by SitecoreAI, and associated data.",
        "operationId": "ListSupportedLanguages",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/SupportedLanguage"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/collections": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "List site collections",
        "description": "Fetches the list of site collections in the environment, with associated details.",
        "operationId": "ListCollections",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/SiteCollection"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Create a site collection",
        "description": "Creates a collection by specifying a name and, optionally, a display name and description.",
        "operationId": "CreateCollection",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Input data containing name and the description of the site collection",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateSiteCollectionInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateSiteCollectionInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateSiteCollectionInput"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/collections/{collectionId}": {
      "get": {
        "tags": [
          "Collections"
        ],
        "summary": "Retrieve a site collection",
        "description": "Fetches information about a site collection.",
        "operationId": "RetrieveCollection",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "collectionId",
            "in": "path",
            "description": "The identifier of the site collection.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "ff34f39f190b4079bf8a0242200b6780"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SiteCollection"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      },
      "patch": {
        "tags": [
          "Collections"
        ],
        "summary": "Update a site collection",
        "description": "Updates the display name and the description of the site collection. To change the system name of a collection, see [rename a site collection](#tag/Collections/operation/Rename).",
        "operationId": "UpdateCollection",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "collectionId",
            "in": "path",
            "description": "The identifier of the site collection.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "ff34f39f190b4079bf8a0242200b6780"
          }
        ],
        "requestBody": {
          "description": "Input data containing name and the description of the site collection",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateSiteCollectionInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateSiteCollectionInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateSiteCollectionInput"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SiteCollection"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Collections"
        ],
        "summary": "Delete a site collection",
        "description": "Deletes a site collection, including sites in that collection.",
        "operationId": "DeleteCollection",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "collectionId",
            "in": "path",
            "description": "The identifier of the site collection.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "ff34f39f190b4079bf8a0242200b6780"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/favorites/sites": {
      "get": {
        "tags": [
          "Favorites"
        ],
        "summary": "List favorite sites",
        "description": "Fetches a list of your favorite sites",
        "operationId": "GetFavoriteSites",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Site"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Favorites"
        ],
        "summary": "Add a site to favorites",
        "description": "Adds a site to your list of favorites",
        "operationId": "AddFavoriteSite",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "requestBody": {
          "description": "The input model.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AddFavoriteSiteInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/AddFavoriteSiteInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/AddFavoriteSiteInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/favorites/sitetemplates": {
      "get": {
        "tags": [
          "Favorites"
        ],
        "summary": "List favorite site templates",
        "description": "Fetches a list of your favorite site templates",
        "operationId": "GetFavoriteSiteTemplates",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/SiteTemplate"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Favorites"
        ],
        "summary": "Add a site template to favorites",
        "description": "Adds a site template to your list of favorites",
        "operationId": "AddFavoriteSiteTemplate",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "requestBody": {
          "description": "The input model.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AddFavoriteSiteTemplateInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/AddFavoriteSiteTemplateInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/AddFavoriteSiteTemplateInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FavoriteDto"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/ui/v1/editorprofiles": {
      "get": {
        "tags": [
          "Editor Profiles"
        ],
        "summary": "List all profiles",
        "description": "Fetches a list of all profiles in the environment, with associated details.",
        "operationId": "ListProfiles",
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/EditorProfileModel"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7235#section-3.1",
                  "title": "Unauthorized",
                  "status": 401,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.3",
                  "title": "Forbidden",
                  "status": 403,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Editor Profiles"
        ],
        "summary": "Create a profile",
        "description": "Creates a new profile in the environment.",
        "operationId": "CreateProfile",
        "requestBody": {
          "description": "Input data containing profile properties",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateEditorProfileInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateEditorProfileInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateEditorProfileInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EditorProfileModel"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7235#section-3.1",
                  "title": "Unauthorized",
                  "status": 401,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.3",
                  "title": "Forbidden",
                  "status": 403,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          }
        }
      }
    },
    "/api/ui/v1/editorprofiles/{id}": {
      "get": {
        "tags": [
          "Editor Profiles"
        ],
        "summary": "Retrieve a profile",
        "description": "Fetches the details of a profile.",
        "operationId": "GetProfile",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The profile identifier.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "123e4567-e89b-12d3-a456-426614174000"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EditorProfileModel"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7235#section-3.1",
                  "title": "Unauthorized",
                  "status": 401,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.3",
                  "title": "Forbidden",
                  "status": 403,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      },
      "patch": {
        "tags": [
          "Editor Profiles"
        ],
        "summary": "Update a profile",
        "description": "Updates the properties of a profile.",
        "operationId": "UpdateProfile",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The profile identifier.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "123e4567-e89b-12d3-a456-426614174000"
          }
        ],
        "requestBody": {
          "description": "Input data containing profile properties to update",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateEditorProfileInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateEditorProfileInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateEditorProfileInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EditorProfileModel"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7235#section-3.1",
                  "title": "Unauthorized",
                  "status": 401,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.3",
                  "title": "Forbidden",
                  "status": 403,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Editor Profiles"
        ],
        "summary": "Delete a profile",
        "description": "Deletes a profile, including the toolbar configuration associated with that profile.",
        "operationId": "DeleteProfile",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The profile identifier.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "123e4567-e89b-12d3-a456-426614174000"
          }
        ],
        "responses": {
          "200": {
            "description": "Success"
          },
          "204": {
            "description": "No Content"
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7235#section-3.1",
                  "title": "Unauthorized",
                  "status": 401,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.3",
                  "title": "Forbidden",
                  "status": 403,
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00"
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/collections/{collectionId}/rename": {
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Rename a site collection",
        "description": "Changes the system name of a site collection.",
        "operationId": "RenameCollection",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "collectionId",
            "in": "path",
            "description": "The identifier of the site collection.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "ff34f39f190b4079bf8a0242200b6780"
          }
        ],
        "requestBody": {
          "description": "Input object containing the new system name of the site collection.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/RenameSiteCollectionInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/RenameSiteCollectionInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/RenameSiteCollectionInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/collections/sort": {
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Sort site collections",
        "description": "By assigning a sort value to site collection IDs, you can use this endpoint to apply an order by which collections are sorted in the Sites user interface and in Content Editor. The lower the sort value, the higher the site appears in the interface.",
        "operationId": "SortCollections",
        "requestBody": {
          "description": "A _collections_ JSON object of key-value pairs where the collection ID (string) is the key and the sort order (integer) is the value.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SortCollectionsInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/SortCollectionsInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/SortCollectionsInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "204": {
            "description": "No content"
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/collections/name/validate": {
      "post": {
        "tags": [
          "Collections"
        ],
        "summary": "Validate site collection name",
        "description": "Validates a site collection name to ensure it meets the required criteria. The validations applied to the collection name:\n- Is a string and can't be null.\n- Is unique.\n- The length of the name is a maximum of 50 characters.\n- Can't start or end with a space.\n- Can't start with a dash.\n- Can include Latin alphanumeric characters, spaces and dashes.",
        "operationId": "ValidateCollectionName",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "The site collection name to validate.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ValidateCollectionNameInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/ValidateCollectionNameInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/ValidateCollectionNameInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NameValidationResult"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "503": {
            "description": "Search service unavailable"
          }
        }
      }
    },
    "/api/v1/languages/{isoCode}": {
      "patch": {
        "tags": [
          "Languages"
        ],
        "summary": "Update a language",
        "description": "Updates a [language supported](https://doc.sitecore.com/xmc/en/users/xm-cloud/add-a-language-to-your-xm-cloud-environment.html#add-a-custom-language) by SitecoreAI.\n            To update a language, you must provide the regional ISO code of the language. If you do not know the ISO code of the language, first retrieve the list of languages supported in SitecoreAI.",
        "operationId": "UpdateLanguage",
        "parameters": [
          {
            "name": "isoCode",
            "in": "path",
            "description": "Regional ISO code of the language to update",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "en-US"
          },
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Input parameters",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/EditLanguageInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/EditLanguageInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/EditLanguageInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "204": {
            "description": "No content"
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Language"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Languages"
        ],
        "summary": "Delete a language",
        "description": "Deletes a language from the SitecoreAI environment.\n            To delete a language from the system, you must provide the regional ISO code of the language. If you do not know the ISO code of the language, first retrieve the list of languages added to the environment.",
        "operationId": "DeleteLanguage",
        "parameters": [
          {
            "name": "isoCode",
            "in": "path",
            "description": "Regional ISO code of the language to remove.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "en-US"
          },
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "boolean"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/favorites/sites/{siteId}": {
      "delete": {
        "tags": [
          "Favorites"
        ],
        "summary": "Remove site from favorites",
        "description": "Removes a site from your list of favorites",
        "operationId": "RemoveFavoriteSite",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "description": "The identifier of the site.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "responses": {
          "204": {
            "description": "No content"
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/favorites/sitetemplates/{siteTemplateId}": {
      "delete": {
        "tags": [
          "Favorites"
        ],
        "summary": "Remove a site template from favorites",
        "description": "Removes a site template from your list of favorites",
        "operationId": "RemoveFavoriteSiteTemplate",
        "parameters": [
          {
            "name": "siteTemplateId",
            "in": "path",
            "description": "The identifier of the site template.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "5aae1eeaea2440bf96f11f43da82c77b"
          }
        ],
        "responses": {
          "204": {
            "description": "No content"
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/sites": {
      "get": {
        "tags": [
          "Sites"
        ],
        "summary": "List sites",
        "description": "Fetches the list of sites in the environment, with associated details.",
        "operationId": "ListSites",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Site"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      },
      "post": {
        "tags": [
          "Sites"
        ],
        "summary": "Create a site",
        "description": "[Creates a site](https://doc.sitecore.com/xmc/en/users/xm-cloud/create-a-site.html) for the environment.\n            Sites are created using  [site templates](https://doc.sitecore.com/xmc/en/developers/xm-cloud/create-a-site-template-for-the-xm-cloud-dashboard.html). Every site belongs to a [site collection](https://doc.sitecore.com/xmc/en/users/xm-cloud/create-a-site-collection.html). You can either create a site inside an existing collection or create a new one.\n            It is also possible to create a site by duplicating a site.",
        "operationId": "CreateSite",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "requestBody": {
          "description": "Input model",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/NewSiteInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/NewSiteInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/NewSiteInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/sites/{siteId}": {
      "get": {
        "tags": [
          "Sites"
        ],
        "summary": "Retrieve a site",
        "description": "Fetches information about a site.",
        "operationId": "RetrieveSite",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "description": "The identifier of the site.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Site"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      },
      "patch": {
        "tags": [
          "Sites"
        ],
        "summary": "Update a site",
        "description": "Updates various parameters of a site. To change the name of a site, see [rename a site](#tag/Sites/operation/Rename).",
        "operationId": "UpdateSite",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "description": "The identifier of the site.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "requestBody": {
          "description": "Various site configuration properties",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateSiteInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateSiteInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateSiteInput"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Site"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Sites"
        ],
        "summary": "Delete a site",
        "description": "Deletes a site, including its pages, settings, media files, data sources, presentation elements, dictionaries, components, variants, and page designs. Everyone in the environment will lose access to the deleted site.\n           Deleting a site affects related websites in the collection:\n           • If the site [shares](https://doc.sitecore.com/xmc/en/users/xm-cloud/create-a-site.html#share-a-site) items with other sites, this might result in broken links.\n           • Items that are cloned to other sites are turned into regular items, and the links removed.",
        "operationId": "DeleteSite",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "description": "The identifier of the site.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          {
            "name": "force",
            "in": "query",
            "description": "If this is set to true, the site will be deleted even if it is published to Edge.",
            "schema": {
              "type": "boolean"
            },
            "example": false
          },
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/sites/{siteId}/copy": {
      "post": {
        "tags": [
          "Sites"
        ],
        "summary": "Duplicate a site",
        "description": "You can create a site by duplicating an existing one. When you duplicate a site, its content items (such as pages and images, folder structure, and links) are copied. Most of the settings are also copied, but you can change those later. The new site's path parameters and response body schema will be the same as the original site.",
        "operationId": "CopySite",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "description": "The identifier of the site you want to duplicate.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "requestBody": {
          "description": "Input object containing the name and description of the new site",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CopySiteInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CopySiteInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CopySiteInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/sites/{siteId}/rename": {
      "post": {
        "tags": [
          "Sites"
        ],
        "summary": "Rename a site",
        "description": "Changes the system name of a site.",
        "operationId": "RenameSite",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "description": "The identifier of the site you want to rename.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "requestBody": {
          "description": "Input object containing new name of the site",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/RenameSiteInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/RenameSiteInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/RenameSiteInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/sites/sort": {
      "post": {
        "tags": [
          "Sites"
        ],
        "summary": "Sort sites",
        "description": "By assigning a sort value to site IDs, you can use this endpoint to apply an order by which sites are sorted in the Sites user interface and in Content Editor. The lower the sort value, the higher the site appears in the interface.",
        "operationId": "SortSites",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "requestBody": {
          "description": "A _sites_ JSON object of key-value pairs where the site ID (string) is the key and the sort order (integer) is the value.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SortSitesInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/SortSitesInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/SortSitesInput"
              }
            }
          },
          "required": true
        },
        "responses": {
          "204": {
            "description": "No content"
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
                  "title": "Bad Request",
                  "status": 400,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem.",
                  "traceId": "00-982607166a542147b435be3a847ddd71-fc75498eb9f09d48-00",
                  "errors": {
                    "sampleProperty": [
                      "The sampleProperty field is required"
                    ]
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                },
                "example": {
                  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
                  "title": "Not Found",
                  "status": 404,
                  "detail": "A detailed explanation, specific to this occurrence of the problem.",
                  "instance": "If available, a URI reference that identifies the specific occurrence of the problem."
                }
              }
            }
          }
        }
      }
    },
    "/api/v1/sites/name/validate": {
      "post": {
        "tags": [
          "Sites"
        ],
        "summary": "Validate site name",
        "description": "Validates a site name to ensure it meets the required criteria. The validations applied to the site name:\n- Is a string and can't be null.\n- Is unique.\n- The length of the name is a maximum of 50 characters.\n- Can't start or end with a space.\n- Can't start with a dash.\n- Can include Latin alphanumeric characters, spaces and dashes.",
        "operationId": "ValidateSiteName",
        "parameters": [
          {
            "name": "environmentId",
            "in": "query",
            "description": "The identifier of the environment",
            "schema": {
              "type": "string"
            },
            "example": "main"
          }
        ],
        "requestBody": {
          "description": "The site name to validate.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ValidateSiteNameInput"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/ValidateSiteNameInput"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/ValidateSiteNameInput"
              }
[...]
